<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<GUI onOpen="onOpen" onClose="onClose" onCreate="onCreate">
    <GuiElement profile="newLayer" />
    <Bitmap profile="dialogFullscreenBg" id="dialogBg" />

    <GuiElement profile="leaseDialogBg" id="dialogElement" width="550px" height="676px">
        <ThreePartBitmap profile="fs25_dialogBgMiddle" />
        <ThreePartBitmap profile="fs25_dialogBgTop" />
        <ThreePartBitmap profile="fs25_dialogBgBottom" />

        <GuiElement profile="fs25_dialogContentContainer" >
            <Bitmap profile="farmlandStatsDialogIcon" />

            <Text profile="farmlandStatsDialogHeader" text="$l10n_ui_economicAnalysis"/>
            <Text profile="farmlandStatsDialogHeaderField" id="economicAnalysisHeaderField" text="$l10n_ui_economicAnalysisHeaderField"/>
            <Text profile="farmlandStatsDialogHeaderValues" id="economicAnalysisHeaderValues" text="$l10n_ui_economicAnalysisHeaderValuesPeriod"/>

            <Bitmap profile="farmlandStatsDialogSeparator" position="20px -125px" />

            <!-- Left column -->
            <GuiElement profile="farmlandStatsDialogContent">
                <Text profile="farmlandStatsDialogTitle"       position="0px -24px"  text="$l10n_ui_economicAnalysisSoilSamples" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -48px"  text="$l10n_ui_economicAnalysisLime" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -72px"  text="$l10n_ui_economicAnalysisFertilizer" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -96px"  text="$l10n_ui_economicAnalysisLiquidFertilizer" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -120px" text="$l10n_ui_economicAnalysisManure" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -144px" text="$l10n_ui_economicAnalysisLiquidManure" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -168px" text="$l10n_ui_economicAnalysisSeeds" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -192px" text="$l10n_ui_economicAnalysisHerbicide" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -216px" text="$l10n_ui_economicAnalysisFuel" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -240px" text="$l10n_ui_economicAnalysisVehicleMaintenance" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -264px" text="$l10n_ui_economicAnalysisAIHelperCosts" />
                <Text profile="farmlandStatsDialogTitle"       position="0px -288px" text="$l10n_ui_economicAnalysisSubsidies" />

                <Text profile="farmlandStatsDialogAmount"      position="0px -24px"   id="statAmountText[1]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -48px"   id="statAmountText[2]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -72px"   id="statAmountText[3]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -96px"   id="statAmountText[4]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -120px"  id="statAmountText[5]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -144px"  id="statAmountText[6]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -168px"  id="statAmountText[7]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -192px"  id="statAmountText[8]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -216px"  id="statAmountText[9]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -240px"  id="statAmountText[10]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -264px"  id="statAmountText[11]" text="" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -288px"  id="statAmountText[12]" text="" />

                <Text profile="farmlandStatsDialogPrice"       position="0px -24px"   id="statCostText[1]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -48px"   id="statCostText[2]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -72px"   id="statCostText[3]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -96px"   id="statCostText[4]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -120px"  id="statCostText[5]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -144px"  id="statCostText[6]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -168px"  id="statCostText[7]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -192px"  id="statCostText[8]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -216px"  id="statCostText[9]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -240px"  id="statCostText[10]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -264px"  id="statCostText[11]" text="0" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -288px"  id="statCostText[12]" text="0" />

                <Text profile="farmlandStatsDialogChangePos"   position="446px -24px"   id="statPercentageText[1]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -48px"   id="statPercentageText[2]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -72px"   id="statPercentageText[3]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -96px"   id="statPercentageText[4]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -120px"  id="statPercentageText[5]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -144px"  id="statPercentageText[6]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -168px"  id="statPercentageText[7]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -192px"  id="statPercentageText[8]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -216px"  id="statPercentageText[9]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -240px"  id="statPercentageText[10]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -264px"  id="statPercentageText[11]" text="" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -288px"  id="statPercentageText[12]" text="" />
            </GuiElement>

            <GuiElement profile="farmlandStatsDialogContent" position="20px -426px" size="406px 179px">
                <Bitmap profile="farmlandStatsDialogSeparator" position="0px -3px" />

                <Text profile="farmlandStatsDialogTitle"       position="0px -24px"   text="$l10n_ui_economicAnalysisYield" />
                <Text profile="farmlandStatsDialogAmount"      position="0px -24px"   id="statAmountText[13]" text="" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -24px"   id="statCostText[13]" text="0" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -24px" id="statPercentageText[13]" text="" />

                <Bitmap profile="farmlandStatsDialogSeparator" position="0px -44px" />

                <Text profile="farmlandStatsDialogTitle"       position="0px -72px"   text="$l10n_ui_economicAnalysisTotalCosts" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -72px"   id="statTotalCostText" text="0" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -72px" id="statTotalCostPercentageText" text="" />


                <Text profile="farmlandStatsDialogTitle"       position="0px -96px"   text="$l10n_ui_economicAnalysisTotalEarnings" />
                <Text profile="farmlandStatsDialogPrice"       position="0px -96px"   id="statTotalEarningsText" text="0" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -96px" id="statTotalEarningsPercentageText" text="" />

                <Bitmap profile="farmlandStatsDialogSeparator" position="0px -116px" />

                <Text profile="farmlandStatsDialogTitleTotal"  position="0px -138px"   text="$l10n_ui_economicAnalysisTotal" />
                <Text profile="farmlandStatsDialogPriceTotal"  position="0px -138px"   id="statTotalText" text="0" />
                <Text profile="farmlandStatsDialogChangePos"   position="446px -138px" id="statTotalPercentageText" text="" />
            </GuiElement>
        </GuiElement>

        <BoxLayout profile="fs25_dialogButtonBox">
            <Button profile="buttonYes" text="$l10n_ui_economicAnalysisButtonSwitch" onClick="onSwitchMode" id="switchButton" />
            <Bitmap profile="fs25_dialogButtonBoxSeparator" />
            <Button profile="buttonDelete" text="$l10n_ui_economicAnalysisReset" onClick="onReset" id="resetButton" />
            <Bitmap profile="fs25_dialogButtonBoxSeparator" />
            <Button profile="buttonNo" text="$l10n_button_close" onClick="onCloseButton" id="closeButton" />
        </BoxLayout>
    </GuiElement>

        <GUIProfiles>
        <Profile name="farmlandStatsDialogBase" extends="emptyPanel" with="anchorMiddleLeft">
            <screenAlign value="middleLeft"/>
            <positionOrigin value="middleLeft"/>
            <position value="528px 0px"/>
            <size value="526px 652px"/>
        </Profile>

        <Profile name="farmlandStatsDialogHeader" extends="ingameMenuFrameHeaderText" with="anchorTopLeft">
            <position value="0px -5px"/>
            <size value="526px 48px"/>
            <screenAlign value="topLeft"/>
            <positionOrigin value="middleLeft"/>
            <textSize value="23px"/>
            <textUpperCase value="true"/>
            <textLayoutMode value="resize"/>
            <textAlignment value="center"/>
            <textBold value="false"/>
        </Profile>

        <Profile name="farmlandStatsDialogHeaderField" extends="ingameMenuFrameHeaderText" with="anchorTopLeft">
            <position value="0px -45px"/>
            <size value="526px 48px"/>
            <screenAlign value="topLeft"/>
            <positionOrigin value="middleLeft"/>
            <textSize value="20px"/>
            <textBold value="false"/>
            <textUpperCase value="true"/>
            <textLayoutMode value="resize"/>
            <textAlignment value="center"/>
        </Profile>

        <Profile name="farmlandStatsDialogIcon" extends="baseReference" with="anchorTopLeft">
            <position value="10px -10px"/>
            <size value="48px 48px"/>
            <imageColor value="$preset_fs25_colorMainHighlight" />
            <imageFocusedColor value="1 1 1 1" />
            <imageSliceId value="precisionFarming.stats_icon" />
        </Profile>

        <Profile name="farmlandStatsDialogHeaderValues" extends="farmlandStatsDialogHeaderField">
            <position value="0px -75px"/>
            <textSize value="14px"/>
        </Profile>

        <Profile name="farmlandStatsDialogContent" extends="emptyPanel" with="anchorTopLeft">
            <position value="20px -120px" />
            <size value="530px 800px"/>
            <imageColor value="1 0 0 0.3"/>
        </Profile>

        <Profile name="farmlandStatsDialogSeparator" extends="fs25_mapContextSeparator" with="anchorTopLeft">
            <size value="506px 1px"/>
        </Profile>

        <Profile name="farmlandStatsDialogTitle" extends="textDefault" with="anchorTopLeft">
            <size value="275px 13px"/>
            <textSize value="14px"/>
            <textBold value="true"/>
            <textUpperCase value="true"/>
            <screenAlign value="topLeft"/>
            <positionOrigin value="middleLeft"/>
        </Profile>
        <Profile name="farmlandStatsDialogTitleTotal" extends="farmlandStatsDialogTitle">
            <textSize value="18px"/>
        </Profile>
        <Profile name="farmlandStatsDialogAmount" extends="textDefault" with="anchorTopLeft">
            <size value="370px 13px"/>
            <textSize value="14px"/>
            <textOffset value="0px 1px"/>
            <margin value="5px 0px 0px 0px"/>
            <textAlignment value="right"/>
            <screenAlign value="topLeft"/>
            <positionOrigin value="middleLeft"/>
        </Profile>
        <Profile name="farmlandStatsDialogPrice" extends="farmlandStatsDialogAmount">
            <size value="440px 13px"/>
        </Profile>
        <Profile name="farmlandStatsDialogPriceTotal" extends="farmlandStatsDialogPrice">
            <textSize value="18px"/>
            <textColor value="0.9910 0.3865 0.0100 1"/>
        </Profile>

        <Profile name="farmlandStatsDialogChange" extends="textDefault" with="anchorTopLeft">
            <size value="55px 13px"/>
            <textResizeWidth value="65px"/>
            <textSize value="12px"/>
            <textOffset value="0px 1px"/>
            <margin value="5px 0px 0px 0px"/>
            <textAlignment value="left"/>
            <screenAlign value="topLeft"/>
            <positionOrigin value="middleLeft"/>
        </Profile>

        <Profile name="farmlandStatsDialogChangePos" extends="farmlandStatsDialogChange">
            <textColor value="0.3763 0.6038 0.0782 1"/>
        </Profile>
        <Profile name="farmlandStatsDialogChangeNeg" extends="farmlandStatsDialogChange">
            <textColor value="0.8069 0.0097 0.0097 1"/>
        </Profile>

        <Profile name="farmlandStatsDialogButtonContainer" extends="fs25_mapButtonContainer" with="anchorBottomLeft">
        </Profile>

        <Profile name="farmlandStatsDialogSwitchButton" extends="fs25_mapButtonAction1">
            <inputAction value="MENU_ACTIVATE"/>
        </Profile>
        <Profile name="farmlandStatsDialogSwitchButtonConsole" extends="farmlandStatsDialogSwitchButton" >
            <inputAction value="MENU_ACTIVATE"/>
        </Profile>

        <Profile name="farmlandStatsDialogResetButton" extends="fs25_mapButtonAction1" >
            <inputAction value="MENU_EXTRA_1"/>
        </Profile>
        <Profile name="farmlandStatsDialogResetButtonConsole" extends="farmlandStatsDialogResetButton">
            <inputAction value="MENU_EXTRA_1"/>
        </Profile>
    </GUIProfiles>
</GUI>
